Bug 609164 - Review Request: xbean - Java plugin based server analogous to Eclipse being a plugin based IDE
Review Request: xbean - Java plugin based server analogous to Eclipse being ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 10:46 EDT by Stanislav Ochotnicky
Modified: 2010-07-13 04:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 04:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-06-29 10:46:54 EDT
Spec URL: http://sochotni.fedorapeople.org/xbean.spec
SRPM URL: http://sochotni.fedorapeople.org/xbean-3.7-1.fc13.src.rpm
Description: 
The goal of XBean project is to created a plugin based server
analogous to Eclipse being a plugin based IDE. XBean will be able to
discover, download and install server plugins from an Internet based
repository. In addition, we include support for multiple IoC systems,
support for running with no IoC system, JMX without JMX code,
lifecycle and class loader management, and a rock solid Spring
integration.

Koji build (dist-f14-maven221 tag)
https://koji.fedoraproject.org/koji/taskinfo?taskID=2280750
Comment 1 Lubomir Rintel 2010-07-09 04:42:49 EDT
* Package properly named
* SPEC file clean and legible
* License specified correctly, allowed in Fedora, included as a documentation file
* Builds fine in mock
* Filelist sane
* Requires/provides sane
* Rpmlint mostly happy

Fairly well done, APPROVED

Just one small remark:

Summary is completely non-obvious; you should state what does the package do, not what is it analogous to. Please adjust it.
Comment 2 Stanislav Ochotnicky 2010-07-09 07:54:01 EDT
Thanks for the review...I just noticed that this version wasn't compliant with recent changes to licensing guidelines (sub-packages are required to have LICENSE file of their own). I tried to fix the summary as well. 

Fixed up koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2308465

New Package CVS Request
=======================
Package Name: xbean
Short Description: Java plugin based web server
Owners: 
Branches: 
InitialCC:
Comment 3 Kevin Fenzi 2010-07-09 14:22:59 EDT
Can you add an owner here?
Comment 4 Stanislav Ochotnicky 2010-07-12 03:06:15 EDT
(In reply to comment #3)
> Can you add an owner here?    
Bad day I guess...

New Package CVS Request
=======================
Package Name: xbean
Short Description: Java plugin based web server
Owners: sochotni
Branches: 
InitialCC:
Comment 5 Kevin Fenzi 2010-07-12 13:23:46 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Stanislav Ochotnicky 2010-07-13 04:42:09 EDT
Thanks all, closing.

Koji build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=183370

Note You need to log in before you can comment on or make changes to this bug.